Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1301577 - mingw-qt5 lupdate: Missing dependency on libQt5QmlDevTools.so.5
Summary: mingw-qt5 lupdate: Missing dependency on libQt5QmlDevTools.so.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mingw-qt5-qttools
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Erik van Pienbroek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-25 12:29 UTC by Jan Kundrát
Modified: 2016-05-26 20:51 UTC (History)
1 user (show)

Fixed In Version: mingw-qt5-qttools-5.6.0-2.fc24 mingw-qt5-qttools-5.6.0-2.fc23 mingw-qt5-qttools-5.6.0-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-16 16:23:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Kundrát 2016-01-25 12:29:49 UTC
Seems that the mingw32-qt5-qttools-tools-5.5.1-1.el7.x86_64 should depend on mingw32-qt5-qmldevtools-devel-5.5.1-1.el7.x86_64:

$ /usr/i686-w64-mingw32/bin/qt5/lupdate
/usr/i686-w64-mingw32/bin/qt5/lupdate: error while loading shared libraries: libQt5QmlDevTools.so.5: cannot open shared object file: No such file or directory

Installing mingw32-qt5-qmldevtools-devel fixes this problem.

Comment 1 Fedora Update System 2016-05-10 17:14:11 UTC
mingw-qt5-qtxmlpatterns-5.6.0-1.fc24 mingw-qt5-qtwinextras-5.6.0-1.fc24 mingw-qt5-qtwebsockets-5.6.0-1.fc24 mingw-qt5-qttranslations-5.6.0-1.fc24 mingw-qt5-qttools-5.6.0-2.fc24 mingw-qt5-qtsvg-5.6.0-1.fc24 mingw-qt5-qtsensors-5.6.0-1.fc24 mingw-qt5-qtscript-5.6.0-1.fc24 mingw-qt5-qtquick1-5.5.1-3.fc24 mingw-qt5-qtmultimedia-5.6.0-1.fc24 mingw-qt5-qtlocation-5.6.0-1.fc24 mingw-qt5-qtimageformats-5.6.0-1.fc24 mingw-qt5-qtgraphicaleffects-5.6.0-1.fc24 mingw-qt5-qtdeclarative-5.6.0-1.fc24 mingw-qt5-qtbase-5.6.0-4.fc24 mingw-qt5-qtactiveqt-5.6.0-1.fc24 mingw-qt5-qt3d-5.6.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-15a6aafe0b

Comment 2 Fedora Update System 2016-05-10 17:16:26 UTC
mingw-qt5-qtxmlpatterns-5.6.0-1.fc23 mingw-qt5-qtwinextras-5.6.0-1.fc23 mingw-qt5-qtwebsockets-5.6.0-1.fc23 mingw-qt5-qttranslations-5.6.0-1.fc23 mingw-qt5-qttools-5.6.0-2.fc23 mingw-qt5-qtsvg-5.6.0-1.fc23 mingw-qt5-qtsensors-5.6.0-1.fc23 mingw-qt5-qtscript-5.6.0-1.fc23 mingw-qt5-qtquick1-5.5.1-3.fc23 mingw-qt5-qtmultimedia-5.6.0-1.fc23 mingw-qt5-qtlocation-5.6.0-1.fc23 mingw-qt5-qtimageformats-5.6.0-1.fc23 mingw-qt5-qtgraphicaleffects-5.6.0-1.fc23 mingw-qt5-qtdeclarative-5.6.0-1.fc23 mingw-qt5-qtbase-5.6.0-3.fc23 mingw-qt5-qtactiveqt-5.6.0-1.fc23 mingw-qt5-qt3d-5.6.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-099ae5ca41

Comment 3 Fedora Update System 2016-05-10 17:33:32 UTC
mingw-qt5-qtxmlpatterns-5.6.0-1.el7 mingw-qt5-qtwinextras-5.6.0-1.el7 mingw-qt5-qtwebsockets-5.6.0-1.el7 mingw-qt5-qttranslations-5.6.0-1.el7 mingw-qt5-qttools-5.6.0-2.el7 mingw-qt5-qtsvg-5.6.0-1.el7 mingw-qt5-qtsensors-5.6.0-1.el7 mingw-qt5-qtscript-5.6.0-1.el7 mingw-qt5-qtquick1-5.5.1-3.el7 mingw-qt5-qtmultimedia-5.6.0-1.el7 mingw-qt5-qtlocation-5.6.0-1.el7 mingw-qt5-qtimageformats-5.6.0-1.el7 mingw-qt5-qtgraphicaleffects-5.6.0-1.el7 mingw-qt5-qtdeclarative-5.6.0-1.el7 mingw-qt5-qtbase-5.6.0-3.el7 mingw-qt5-qtactiveqt-5.6.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d932a27a31

Comment 4 Fedora Update System 2016-05-12 08:35:35 UTC
mingw-qt5-qtactiveqt-5.6.0-1.el7, mingw-qt5-qtbase-5.6.0-3.el7, mingw-qt5-qtdeclarative-5.6.0-1.el7, mingw-qt5-qtgraphicaleffects-5.6.0-1.el7, mingw-qt5-qtimageformats-5.6.0-1.el7, mingw-qt5-qtlocation-5.6.0-1.el7, mingw-qt5-qtmultimedia-5.6.0-1.el7, mingw-qt5-qtquick1-5.5.1-3.el7, mingw-qt5-qtscript-5.6.0-1.el7, mingw-qt5-qtsensors-5.6.0-1.el7, mingw-qt5-qtsvg-5.6.0-1.el7, mingw-qt5-qttools-5.6.0-2.el7, mingw-qt5-qttranslations-5.6.0-1.el7, mingw-qt5-qtwebsockets-5.6.0-1.el7, mingw-qt5-qtwinextras-5.6.0-1.el7, mingw-qt5-qtxmlpatterns-5.6.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d932a27a31

Comment 5 Fedora Update System 2016-05-12 09:35:00 UTC
mingw-qt5-qt3d-5.6.0-2.fc23, mingw-qt5-qtactiveqt-5.6.0-1.fc23, mingw-qt5-qtbase-5.6.0-3.fc23, mingw-qt5-qtdeclarative-5.6.0-1.fc23, mingw-qt5-qtgraphicaleffects-5.6.0-1.fc23, mingw-qt5-qtimageformats-5.6.0-1.fc23, mingw-qt5-qtlocation-5.6.0-1.fc23, mingw-qt5-qtmultimedia-5.6.0-1.fc23, mingw-qt5-qtquick1-5.5.1-3.fc23, mingw-qt5-qtscript-5.6.0-1.fc23, mingw-qt5-qtsensors-5.6.0-1.fc23, mingw-qt5-qtsvg-5.6.0-1.fc23, mingw-qt5-qttools-5.6.0-2.fc23, mingw-qt5-qttranslations-5.6.0-1.fc23, mingw-qt5-qtwebsockets-5.6.0-1.fc23, mingw-qt5-qtwinextras-5.6.0-1.fc23, mingw-qt5-qtxmlpatterns-5.6.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-099ae5ca41

Comment 6 Fedora Update System 2016-05-12 09:42:17 UTC
mingw-qt5-qt3d-5.6.0-2.fc24, mingw-qt5-qtactiveqt-5.6.0-1.fc24, mingw-qt5-qtbase-5.6.0-4.fc24, mingw-qt5-qtdeclarative-5.6.0-1.fc24, mingw-qt5-qtgraphicaleffects-5.6.0-1.fc24, mingw-qt5-qtimageformats-5.6.0-1.fc24, mingw-qt5-qtlocation-5.6.0-1.fc24, mingw-qt5-qtmultimedia-5.6.0-1.fc24, mingw-qt5-qtquick1-5.5.1-3.fc24, mingw-qt5-qtscript-5.6.0-1.fc24, mingw-qt5-qtsensors-5.6.0-1.fc24, mingw-qt5-qtsvg-5.6.0-1.fc24, mingw-qt5-qttools-5.6.0-2.fc24, mingw-qt5-qttranslations-5.6.0-1.fc24, mingw-qt5-qtwebsockets-5.6.0-1.fc24, mingw-qt5-qtwinextras-5.6.0-1.fc24, mingw-qt5-qtxmlpatterns-5.6.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-15a6aafe0b

Comment 7 Fedora Update System 2016-05-16 16:23:17 UTC
mingw-qt5-qt3d-5.6.0-2.fc24, mingw-qt5-qtactiveqt-5.6.0-1.fc24, mingw-qt5-qtbase-5.6.0-4.fc24, mingw-qt5-qtdeclarative-5.6.0-1.fc24, mingw-qt5-qtgraphicaleffects-5.6.0-1.fc24, mingw-qt5-qtimageformats-5.6.0-1.fc24, mingw-qt5-qtlocation-5.6.0-1.fc24, mingw-qt5-qtmultimedia-5.6.0-1.fc24, mingw-qt5-qtquick1-5.5.1-3.fc24, mingw-qt5-qtscript-5.6.0-1.fc24, mingw-qt5-qtsensors-5.6.0-1.fc24, mingw-qt5-qtsvg-5.6.0-1.fc24, mingw-qt5-qttools-5.6.0-2.fc24, mingw-qt5-qttranslations-5.6.0-1.fc24, mingw-qt5-qtwebsockets-5.6.0-1.fc24, mingw-qt5-qtwinextras-5.6.0-1.fc24, mingw-qt5-qtxmlpatterns-5.6.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-05-20 23:51:33 UTC
mingw-qt5-qt3d-5.6.0-2.fc23, mingw-qt5-qtactiveqt-5.6.0-1.fc23, mingw-qt5-qtbase-5.6.0-3.fc23, mingw-qt5-qtdeclarative-5.6.0-1.fc23, mingw-qt5-qtgraphicaleffects-5.6.0-1.fc23, mingw-qt5-qtimageformats-5.6.0-1.fc23, mingw-qt5-qtlocation-5.6.0-1.fc23, mingw-qt5-qtmultimedia-5.6.0-1.fc23, mingw-qt5-qtquick1-5.5.1-3.fc23, mingw-qt5-qtscript-5.6.0-1.fc23, mingw-qt5-qtsensors-5.6.0-1.fc23, mingw-qt5-qtsvg-5.6.0-1.fc23, mingw-qt5-qttools-5.6.0-2.fc23, mingw-qt5-qttranslations-5.6.0-1.fc23, mingw-qt5-qtwebsockets-5.6.0-1.fc23, mingw-qt5-qtwinextras-5.6.0-1.fc23, mingw-qt5-qtxmlpatterns-5.6.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-05-26 20:51:38 UTC
mingw-qt5-qtactiveqt-5.6.0-1.el7, mingw-qt5-qtbase-5.6.0-3.el7, mingw-qt5-qtdeclarative-5.6.0-1.el7, mingw-qt5-qtgraphicaleffects-5.6.0-1.el7, mingw-qt5-qtimageformats-5.6.0-1.el7, mingw-qt5-qtlocation-5.6.0-1.el7, mingw-qt5-qtmultimedia-5.6.0-1.el7, mingw-qt5-qtquick1-5.5.1-3.el7, mingw-qt5-qtscript-5.6.0-1.el7, mingw-qt5-qtsensors-5.6.0-1.el7, mingw-qt5-qtsvg-5.6.0-1.el7, mingw-qt5-qttools-5.6.0-2.el7, mingw-qt5-qttranslations-5.6.0-1.el7, mingw-qt5-qtwebsockets-5.6.0-1.el7, mingw-qt5-qtwinextras-5.6.0-1.el7, mingw-qt5-qtxmlpatterns-5.6.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.